cURL
curl --request POST \ --url https://api.pcxpay.com/v1/users/{user_id}/bridge-kyc \ --header 'Content-Type: application/json' \ --data ' { "email": "jsmith@example.com", "first_name": "<string>", "last_name": "<string>", "customer_type": "individual" } '
{ "status": "success", "message": "Bridge KYC initiated successfully", "data": { "bridge_customer_id": "<string>", "tos_link": "<string>", "user": { "user_id": "<string>", "email": "jsmith@example.com", "fname": "<string>", "lname": "<string>", "date_of_birth": "<string>", "cognito_username": "<string>", "bridge_customer_id": "<string>", "kyc_submitted_at": "<string>", "kyc_approved_at": "<string>", "kyc_failure_reason": "<string>", "role": "admin", "status": "active", "type": "internal-admin", "created_by": "<string>", "org_id": "<string>", "org_ids": [ "<string>" ], "phone_number": "<string>", "address": "<string>", "country": "<string>", "id_type": "passport", "id_number": "<string>", "additional_id_type": "passport", "additional_id_number": "<string>", "kyc_session_id": "<string>", "kyc_status": "<string>", "created_at": "<string>", "updated_at": "<string>" } } }
Creates a Bridge customer for the user via the virtual-accounts service and stores the returned bridge_customer_id on the user record. Returns the Bridge terms-of-service link for the user to accept.
bridge_customer_id
Bridge customer type. Defaults to individual.
individual
Bridge KYC initiated
"success"
"Bridge KYC initiated successfully"
Show child attributes